/// <reference types="node" />
import { EventEmitter } from "events";
interface ifWatchOption {
    isFile?: boolean;
    tsc?: boolean;
}
export declare class AutoLoaderModule extends EventEmitter {
    static cache: any;
    /**
     * 监听文件夹，加载文件夹中的所有js
     * @param dir
     */
    static watch(dir: string, option?: ifWatchOption): AutoLoaderModule;
    private _md;
    private _option;
    private constructor();
    /**
     * 开始加载
     */
    load(): AutoLoaderModule;
    on(event: 'add' | 'del', listener: (filename: string, complete: boolean) => void): this;
    off(event: 'add' | 'del', listener: (filename: string) => void): this;
    static del_cache: {
        [filename: string]: NodeModule;
    };
    private _ModuleCache_;
    private addModule;
    private delModule;
}
export {};
