"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RoleType;
(function (RoleType) {
    RoleType[RoleType["normal"] = 0] = "normal";
    RoleType[RoleType["backup"] = 1] = "backup";
    RoleType[RoleType["master"] = 2] = "master";
})(RoleType = exports.RoleType || (exports.RoleType = {}));
var eMasterC2SType;
(function (eMasterC2SType) {
    // 加入
    eMasterC2SType[eMasterC2SType["join"] = 1] = "join";
    // 点对点通信
    eMasterC2SType[eMasterC2SType["talk"] = 3] = "talk";
    // 广播信息
    eMasterC2SType[eMasterC2SType["brodcast"] = 4] = "brodcast";
    eMasterC2SType[eMasterC2SType["sayhello"] = 9] = "sayhello";
    eMasterC2SType[eMasterC2SType["sayhelloback"] = 10] = "sayhelloback";
})(eMasterC2SType = exports.eMasterC2SType || (exports.eMasterC2SType = {}));
var eMasterS2CType;
(function (eMasterS2CType) {
    // 加入
    eMasterS2CType[eMasterS2CType["join"] = 1] = "join";
    // 离开
    eMasterS2CType[eMasterS2CType["leave"] = 2] = "leave";
    // 点对点通信
    eMasterS2CType[eMasterS2CType["talk"] = 3] = "talk";
    // 广播信息
    // brodcast = 4,
    // 选举结果
    eMasterS2CType[eMasterS2CType["roleResult"] = 5] = "roleResult";
    // 分组信息
    eMasterS2CType[eMasterS2CType["groupInit"] = 6] = "groupInit";
    eMasterS2CType[eMasterS2CType["groupInitFail"] = 7] = "groupInitFail";
    eMasterS2CType[eMasterS2CType["sayhelloback"] = 9] = "sayhelloback";
    eMasterS2CType[eMasterS2CType["sayhello"] = 10] = "sayhello";
})(eMasterS2CType = exports.eMasterS2CType || (exports.eMasterS2CType = {}));
