# server-libs

[![NPM Version][npm-version-image]][npm-url]
[![NPM Downloads][npm-downloads-image]][npm-url]
[![Node.js Version][node-version-image]][node-version-url]



## Installation

This is a [Node.js](https://nodejs.org/en/) module available through the
[npm registry](https://www.npmjs.com/). Installation is done using the
[`npm install` command](https://docs.npmjs.com/getting-started/installing-npm-packages-locally):

```sh
$ npm install server-libs
```

## API

<!-- eslint-disable no-unused-vars -->

```js
var Lib = require('server-libs')
```

### MongodbMoudle

Lib.MongodbMoudle.init([{ host: "127.0.0.1", port: 27017 }])

#### WebRouteModule
先注册路由文件位置
Lib.WebRouteModule.routePath(process.cwd())
然后初始化模块
Lib.WebRouteModule.init(8080);

#### InitMoudle
启动项的前置配置信息
Lib.WebRouteModule.routePath(process.cwd())
注册启动项
Lib.InitMoudle.regist(Lib.WebRouteModule, Lib.WebRouteModule.init, 8088)
Lib.InitMoudle.regist(Lib.MongodbMoudle, Lib.MongodbMoudle.init, [{ host: "127.0.0.1", port: 27017 }])
启动模块
Lib.InitMoudle.startApp()
启动的时候是按照顺序一个一个启动的，成功启动一个模块才会启动下一个模块

## Examples

### Simple type negotiation



```js
const Lib = require("server-libs");
Lib.WebRouteModule.routePath(process.cwd());
Lib.InitMoudle.regist(Lib.WebRouteModule, Lib.WebRouteModule.init, 8088);
Lib.InitMoudle.regist(Lib.MongodbMoudle, Lib.MongodbMoudle.init, [{ host: "127.0.0.1", port: 27017 }]);
Lib.InitMoudle.startApp();
```
## License

[MIT](LICENSE)

[node-version-image]: https://badgen.net/npm/node/server-libs
[node-version-url]: https://nodejs.org/en/download
[npm-downloads-image]: https://badgen.net/npm/dm/server-libs
[npm-url]: https://npmjs.org/package/server-libs
[npm-version-image]: https://badgen.net/npm/v/server-libs
