export declare class ConfigMgr {
    private static _inst;
    static readonly inst: ConfigMgr;
    static get(v: string, int?: boolean): any;
    static has(v: string): any;
    static default(d: {
        [key: string]: any;
    }): void;
    private _configValue;
    private _defaultValue;
    private _filePath;
    private constructor();
    private _loadFile;
    private _watchFile;
    registDefault(def: any): void;
    private _get;
    get<T>(key: string): T | any;
    private _has;
    has<T>(key: string): T | any;
    /**
     * 制作json配置用的模板文件，或者说把配置用的js文件转成json文件，主要是json是不能有注释的
     */
    createTemplateJson(): void;
}
