declare type RequestType = 'xml' | 'json' | 'text' | 'plain' | 'formdata' | undefined;
declare type ResponseType = 'text' | 'json' | 'buffer' | undefined;
interface ifRequestOption {
    request_type?: RequestType;
    respon_type?: ResponseType;
    respon_head?: boolean;
    ca_name?: string;
}
export declare function loadCert(name: string, cert_path: string, key_path: string, passphrase: string): boolean;
/**
 * 异步流程执行网络请求
 * @param type
 * @param url
 * @param data
 * @param retry
 * @param headers
 * @param dtype
 * @param rtype
 */
export declare function http_quest<T>(type: 'get' | 'post' | string, url: string, data?: any, retry?: number, headers?: any, _option?: ifRequestOption | string): Promise<T>;
export {};
