/**
 * 单独封装一个时间相关的类，为了解决后期日期处理问题
 */
export declare class LocalDate extends Date {
    static now(): number;
    static parse(s: string): number;
    static formateString(t?: number): string;
    toLen(num: number, len: number): string;
    formateString(): string;
    static isMonthly(timeA: number, timeB: number): boolean;
    static isDaily(timeA: number, timeB: number): boolean;
    static isTime(timeA: number, timeB: number, type: "year" | "month" | "date" | "hour" | "minute" | "second"): boolean;
    static isYearly(timeA: number, timeB: number): boolean;
    static isWeekly(timeA: number, timeB: number): boolean;
}
