"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// import { Lib_MasterSlaverMoudle } from "../src/master-slaver";
// Lib_MasterSlaverMoudle.server.init(11111)
// Lib_MasterSlaverMoudle.server.on('data',function(cmd,sock,info){
//     console.log(info);
// })
// Lib_MasterSlaverMoudle.init('127.0.0.1',11111,'aaa','adwa',1100,{})
// import { Lib_MongodbMoudle } from "../src/mongodb";
// Lib_MongodbMoudle.init([{ host: '127.0.0.1', port: 27017 }]).then(function(){
//     console.log("mongodb success")
// })
let options = {
    swaggerDefinition: {
        info: {
            description: 'This is a sample server',
            title: 'Swagger',
            version: '1.0.0',
        },
        host: 'localhost:8088',
        basePath: '',
        produces: [
            "application/json",
            "application/xml"
        ],
        schemes: ['http', 'https'],
        securityDefinitions: {
            JWT: {
                type: 'apiKey',
                in: 'header',
                name: 'Authorization',
                description: "",
            }
        }
    },
    route: {
        url: '/swagger',
        docs: '/swagger.json',
    },
    basedir: __dirname,
    files: ['./web/**/*.js'] //Path to the API handle folder
};
const __1 = __importDefault(require("../"));
const path_1 = require("path");
// Lib.ResourceModule.watch("/res/rollchance.json","tcc_test","http://platform.moxigame.cn/resource/tables/")
let xmlparser = require('express-xml-bodyparser');
__1.default.WebRouteModule.use(xmlparser());
__1.default.WebRouteModule.routePath(path_1.join(__dirname, 'web'));
__1.default.InitMoudle.regist(__1.default.WebRouteModule, __1.default.WebRouteModule.init, 8088);
// Lib.InitMoudle.regist(Lib.MongodbMoudle, Lib.MongodbMoudle.init, [{ host: "127.0.0.1", port: 27017 }])
__1.default.WebRouteModule.openCross(true);
__1.default.WebRouteModule.openSwagger({ basedir: __dirname, jsPath: "./web", title: "测试" });
__1.default.InitMoudle.startApp().then(function () {
    __1.default.ResourceModule.checkResource(1);
    console.log("http://127.0.0.1:8088");
});
